// Implements IPlugin Interface for the EvoTemplate namespace
namespace EvoTemplate
{
	public interface IPlugin
	{
		string Name {
			get;
		}
		string Version {
			get;
		}
		string Filename {
			get;
		}
		string Description {
			get;
		}
		bool Configurable {
			get;
		}
		string MenuName {
			get;
		}
		void Execute();
		void Configure();
		void CopyTester(object data);
		void CopyField(object data);
	}
}
