using System;

namespace EvoTemplate
{
	class PluginSample : IPlugin
	{
		public string Name {
			get {
				return "PluginSample";
			}
		}
		public string Version {
			get {
				return "0.2";
			}
		}
		public string Filename {
			get {
				return "PluginSample.dll";
			}
		}
		public string Description {
			get {
				return "Sample Plugin Description Text";
			}
		}
		public bool Configurable {
			get {
				return true;
			}
		}
		public string MenuName {
			get {
				return "PluginSample";
			}
		}
		public void Execute() {
			Console.WriteLine("Plugin Executed!");
		}
		public void Configure() {
			Console.WriteLine("Plugin Configured!");
		}
		public void CopyTester(object data) {
			Console.WriteLine("CopyTester!");
		}
		public void CopyField(object data) {
			Console.WriteLine("CopyField!");
		}
	}
}
